package pl.edu.pw.mini.sg.game.boundedrationality

import pl.edu.pw.mini.sg.game.boundedrationality.probabilitieschanger.ProbabilitiesChangerRegular

final case class AnchoringTheory(alpha: Double) extends ProbabilitiesChangerRegular {

  override def changeProbability[DM](prob: Seq[(DM,Double)], allMoves: => Seq[DM]): Seq[(DM, Double)] = {
    val result = new Array[Double](prob.length)
    for (i <- 0 to prob.length - 1) {
      result(i) = alpha / prob.length + (1 - alpha) * prob(i)._2
    }
    result
    ???
  }
}
